// Simple Motor Demo for XTronical Motor Driver, see www.xtronical.com/xtmotorlibrary for more information
// Starts a motor moving from stop upto 100% gradually over 3 seconds, runs for 2 seconds, then slows down 
// to a stop over 3 seconds, waits 2 seconds then starts all over again.

#include "XT_Analogue_Motor.h"

#define MOTOR_PIN1 10 // Motor connection 1, must be a pwm  pin
#define MOTOR_PIN2 12 // Motor connection 2, can be any pin, PWM or not

XT_Motor_Class Motor(MOTOR_PIN1,MOTOR_PIN2);  // Create the motor object,  first param must be a PWM pin

void setup()
{
}

void loop()
{  
  Motor.SetSpeed(100,3000);         // 100% Speed to be increased to gradually over 3 seconds
  delay(2000);                      // A 2 second delay which allows the motor to run in current direction for 2 secs
  Motor.SetSpeed(0,3000);           // 0% speed to be decreased to gradually over 3 seconds
  delay(2000);                      // A 2 second delay after stopping before starting all over again.
}
